/* InicializciÃ³n de fuentes */

/* @font-face {
    font-family: "Lucida Grande Bold";
    src: url("fonts/Lucida-Grande-Bold.ttf");
}

@font-face {
    font-family: "Lucida Grande Regular";
    src: url("fonts/Lucida-Grande-Regular.ttf");
} */



/* InicializaciÃ³n de variables generales */

:root {
  --colorPrincipal: #000000;
  /* --colorPrincipal: #F4792A; */
  --colorPrincipal-20: #f4792a20;
  /* --colorPrincipalClaro: #F69455; */
  --colorGris: #b3b3b3;
  --colorgris: #b3b3b3;
  --colorGris-50: #b3b3b320;
  --colorBlanco: #ffffff;
  --colorNegro: #000000;
  --colorNegro-50: #00000080;
  --colorNegro-80: #000000cc;
  --colorRojo: #ff0000;
}

/* Reseteo de variables */

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
}

h1,
h2,
h3 {
  color: #f4792a;
  font-family: "Lucida Grande Bold";
}

img {
  border: none;
}

p,
a,
label,
button,
input,
th,
td,
span,
footer {
  font-family: "Lucida Grande Regular";
  color: var(--colorGris);
}

a:hover {
  text-decoration: none;
}

button:hover {
  transform: scale(1.05);
  font-weight: bold;
  cursor: pointer;
}

button {
  border-radius: 0.2rem;
  padding: 1rem;
  width: fit-content;
}

.table,
th,
td {
  border: 2px solid #f4792a;
}

td {
  background-color: var(--colorGris);
}

/* Estilos navbar*/

/* nav {
    background-image: url(../../images/FondoTOKS.png);
    width: 100%;
} */

/* nav a img {
    position: relative;
    left: calc(100% - 15rem);
    margin-bottom: 2rem;
} */

.mainContainer {
  background-image: url(../../images/FondoTOKS.png);
  background-position: top left;
  background-size: 100%;
  background-repeat: repeat;
  min-height: 80vh;
}

.background-colorPrincipal {
  background-color: var(--colorPrincipal);
  padding: 0;
  margin: 0;
}

.td-transparent {
  background-color: transparent;
  border: 0;
  color: var(--colorGris);
}

/* Footer */

/* footer {
    background-color: var(--colorPrincipal);
} */

/* Tablas */

th {
  color: var(--colorBlanco);
}

/* Inicio de las clases*/

/* Se da inicio al diseÃ±o first movil */

@media screen and (min-width: 300px) {
  .md-font-30 {
    font-size: 2.5rem;
    margin: 1rem 0;
  }
  h1 {
    font-size: 1.8rem;
  }
  h2 {
    font-size: 1.6rem;
    margin-bottom: 2rem;
  }
  p,
  a,
  label,
  button,
  select,
  span {
    text-decoration: none;
    font-size: 1.2rem;
  }
  input {
    padding: 0.5rem 0;
    padding-left: 0.5rem;
    color: var(--colorNegro);
    background-color: var(--colorGris);
  }
  input[type="number"] {
    padding-right: 0;
  }
  label {
    font-size: 1rem;
  }
  th {
    font-size: 1rem;
  }
  td {
    font-size: 1.1rem;
    background-color: var(--colorBlanco);
    color: var(--colorNegro);
    /*padding: 1rem 0rem;*/
  }
  table {
    border-collapse: separate;
    border-spacing: 0.2rem;
    margin: 1rem 0;
  }
  input[type="button"] {
    /* background-color: transparent; */
    cursor: pointer;
    font-size: 1.6rem;
  }
  input[type="button"]:hover {
    transform: scale(1.05);
    /* font-weight: bold; */
  }
  .btn {
    background-color: transparent;
    cursor: pointer;
    font-size: 1.6rem;
    border: 2px solid var(--colorPrincipal);
  }
  .divisor {
    width: 100%;
    color: var(--colorPrincipal);
    size: 2.5;
  }
  .container-fluid {
    margin-left: 1rem;
    margin-right: 1rem;
    padding: 3rem 0rem;
    padding-top: 0rem;
  }
  /* Index */
  /* .container-fluid-principal {
      margin: 5px
    } */
  .row {
    width: 100%;
    margin: 0;
  }
  .columna-izquierda {
    background-color: var(--colorGris-50);
    color: var(--colorGris);
    padding: 1rem;
    margin: 0 2rem;
    margin-bottom: 4rem;
  }
  .columna-izquierdaIndex {
    background-color: var(--colorGris-50);
    color: var(--colorGris);
    padding: 1rem;
    margin: 1rem;
    margin-bottom: 4rem;
  }
  .container-preguntasFrecuentes {
    display: flex;
    flex-direction: row;
    margin-bottom: 2rem;
    align-items: center;
    gap: 1rem;
  }
  .pregunta-frecuentes {
    color: var(--colorPrincipal);
    font-size: 12px;
    cursor: pointer;
  }
  .icon-preguntas {
    width: max-content;
    height: max-content;
    cursor: pointer;
  }
  .columna-derecha {
    margin: auto;
  }
  .inputPost {
    background-color: transparent;
  }
  .tituloPrincipal {
    margin-top: 3rem;
    margin-bottom: 3rem;
  }
  .correo {
    color: #ffffff;
    cursor: pointer;
  }
  .opciones__container {
    margin-top: 3rem;
    justify-content: center;
  }
  .opciones__form {
    display: flex;
    align-items: center;
    flex-direction: column;
  }
  .opcionesFactura {
    background-color: transparent;
    border-width: 0;
    padding: 1rem;
    cursor: pointer;
  }
  .opciones__caja {
    max-width: 32rem;
    /* border: .2rem solid #f4792a; */
    margin: 1rem 0;
    width: auto;
    cursor: pointer;
    font-size: 1.4rem;
  }
  .opciones__caja button {
    width: 100%;
    padding: 1rem;
  }
  /* Modal de preguntas frecuentes */
  .modal-dialog {
    margin: 0px;
    width: 100vw;
  }
  .modal-content {
    background-color: var(--colorNegro-80);
    border-color: var(--colorPrincipal);
  }
  .title-preguntas {
    padding: 2rem 1rem;
  }
  .preguntas-container {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
  .preguntas-title {
    padding-top: 2rem;
    padding-left: 4rem;
    text-align: left;
    font-size: 30px;
  }
  .ticket-head {
    height: 2rem;
  }
  .close {
    color: var(--colorPrincipal);
    font-size: 2.5rem;
  }
  .close:hover {
    color: var(--colorBlanco);
  }
  .pregunta {
    color: var(--colorPrincipal);
  }
  a:not([href]):not([tabindex]) {
    color: var(--colorPrincipal);
    text-decoration: none;
  }
  a:not([href]):not([tabindex]):hover {
    color: var(--colorPrincipalClaro);
  }
  .close-preguntas {
    margin-left: 90%;
    position: fixed;
  }
  .close > span {
    font-size: 40px;
  }
  .modal-body {
    text-align: left;
    margin-top: 1rem;
    padding: 2rem;
  }
  .body-preguntas > h2 {
    font-size: 15px;
    font-family: "Lucida Grande Regular";
    text-align: left;
    color: #fffdfd;
  }
  .categoria-pregunta {
    border-bottom: 0.25px solid #d9d9d7;
    padding-bottom: 0.5rem;
  }
  .content-preguntas {
    padding-right: 5px;
  }
  .content-pregunta {
    padding-left: 15px;
  }
  .pregunta {
    color: var(--colorPrincipal);
    cursor: pointer;
  }
  .pregunta:active {
    color: var(--colorPrincipal);
  }
  .row-pregunta {
    margin-top: -10px;
    margin-left: -18px;
  }
  .label-expandir {
    letter-spacing: -0.3px;
    background-image: url("../../images/expandir.png");
    height: 23px;
    width: 12px;
    background-size: auto;
    background-repeat: no-repeat;
    background-position: left;
    margin-left: 2px;
    margin-right: 1px;
    padding-left: 10px;
    color: var(--colorPrincipal);
  }
  .lista {
    font-size: 16px;
    padding-left: 15px;
    color: #d9d9d7;
  }
  .p-nota {
    padding-left: 3px;
    font-size: 15px;
    color: #d9d9d7;
  }
  .p-respuesta {
    color: var(--colorBlanco);
  }
  .contorno {
    border: 2px solid var(--colorPrincipal);
    display: flex;
    flex-direction: row;
    margin: 0 0;
    padding: 0;
    align-items: center;
  }
  /* PÃ¡gina de crear factura */
  .crearFactura__contornoFormulario {
    align-content: space-between;
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 1rem 0;
  }
  .crearFactura__opcionExtranjero {
    gap: 1rem;
    display: flex;
    flex-direction: row;
    align-content: center;
  }
  .crearFactura__aclaraciones {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    align-items: center;
  }
  .crearFactura__resultadoMainContainer {
    display: flex;
    justify-content: flex-end;
    margin-bottom: 1rem;
  }
  .crearFactura__resultadoContainer {
    width: 35rem;
    margin-top: 2rem;
  }
  .crearFactura__resultado {
    padding-top: 1rem;
  }
  /* PÃ¡gina para crear datos-fiscales */
  .unaColumna__container {
    width: 90vw;
    margin: auto auto;
  }
  .mainDescription {
    text-align: center;
    padding: 2rem 1rem;
    margin-bottom: 1rem;
    background-color: var(--colorGris-50);
  }
  .datosFiscales__formulario input {
    margin: 0.5rem 0;
    width: 100%;
  }
  .botones__regresarContinuar {
    padding: 2rem 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 4rem;
  }
  .selectTamanioCompleto {
    width: 100%;
    padding: 0.5rem;
  }
  .inputCustom {
    display: inline-block;
    position: relative;
    padding: 0 6px;
    margin: 10px 0 0;
  }
  .inputCustom input[type="radio"] {
    display: none;
  }
  .inputCustom label::before {
    content: " ";
    display: inline-block;
    position: relative;
    top: 5px;
    margin: 0 5px 0 0;
    width: 20px;
    height: 20px;
    border-radius: 100%;
    border: 2px solid var(--colorPrincipal);
    background-color: transparent;
  }
  .inputCustom input[type="radio"]:checked + label::after {
    border-radius: 100%;
    width: 18px;
    height: 18px;
    position: absolute;
    top: 6px;
    left: 8px;
    content: " ";
    display: block;
    background: var(--colorPrincipal);
  }
  .selectCustom {
    background-color: var(--colorPrincipal);
  }
  .selectCustom option {
    background-color: var(--colorPrincipal);
    color: var(--colorNegro);
  }
  .submit-image {
    background-color: transparent;
  }
  .columna-derecha__general {
    padding: 2rem;
  }
  .verificarDatos__table__th {
    background-color: var(--colorPrincipal);
    padding: 0.5rem 0.5rem;
  }
  .verificarDatos__table__td {
    background-color: var(--colorPrincipal-20);
    color: var(--colorBlanco);
    font-size: 1rem;
    padding: 1rem;
    border: 0px;
  }
  .container__botones {
    margin: 2rem 0;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    align-items: center;
  }
  /* Estilos para los modales */
  .crearFactura__formulario {
    margin: 0rem 3rem;
  }
  /* Mensaje de carga para procesar la factura */
  .waitMessage {
    position: fixed;
    z-index: 2;
    visibility: hidden;
    background-color: #00000090;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
  }
  .contenedorMensajeEspera {
    display: flex;
    flex-direction: column;
    position: relative;
    justify-content: center;
    align-items: center;
    justify-items: center;
    width: 100%;
    height: 100%;
    text-align: center;
  }
  .bullet {
    width: 10px;
    height: 10px;
    border-radius: 100%;
    background-color: white;
    display: inline-block;
    margin-right: 15px;
    animation-name: preloader;
    animation-duration: 4s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
  }
  .bullet:nth-of-type(1) {
    animation-delay: 0ms;
  }
  .bullet:nth-of-type(2) {
    animation-delay: 700ms;
  }
  .bullet:nth-of-type(3) {
    animation-delay: 1400ms;
  }
  .bullet:nth-of-type(4) {
    animation-delay: 2100ms;
  }
  @keyframes preloader {
    50% {
      /* transform: scale3d(0,0,2); */
      transform: scale(1.7);
      background-color: var(--colorPrincipal);
    }
  }
  .enviarFacturacion__form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: left;
    align-content: center;
  }
  .enviarFactura__input {
    display: block;
    padding: 0.5rem 2rem;
    align-self: center;
    min-width: 25rem;
  }
  .numero-ticket {
    display: block;
  }
  .no-ticket {
    display: none;
  }
  .wrap,
  .wrap2 {
    width: 100%;
    white-space: pre-wrap;
    /* CSS3 */
    white-space: -moz-pre-wrap;
    /* Firefox */
    white-space: -pre-wrap;
    /* Opera <7 */
    white-space: -o-pre-wrap;
    /* Opera 7 */
    word-wrap: break-word;
    /* IE */
  }
  .wrap {
    height: auto;
  }
  .wrap,
  .wrap2 {
    width: 100%;
    white-space: pre-wrap;
    /* CSS3 */
    white-space: -moz-pre-wrap;
    /* Firefox */
    white-space: -pre-wrap;
    /* Opera <7 */
    white-space: -o-pre-wrap;
    /* Opera 7 */
    word-wrap: break-word;
    /* IE */
  }
  .wrap {
    height: auto;
  }
  .wrap2 {
    border: 1px solid blue;
    height: 100px;
    overflow: auto;
    width: 100px;
  }
  .colSpan {
    column-span: 2;
  }
  .indexMantenimiento {
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    align-items: center;
  }
  .info-factura {
    padding: 0 1rem;
  }
  .confirmaInfo__container {
    padding: 0rem 1rem;
  }
  .confirmaInfo__container table tbody tr td {
    padding: 0rem;
    border-width: 0;
    font-size: 1.2rem;
    padding: 0.5rem 1rem;
    background-color: var(--colorGris);
  }
  .confirmaInfo__container table tbody tr td input {
    font-size: 1.2rem;
  }
  .divisorVertical {
    border-right: solid var(--colorPrincipal) 0px;
    padding-right: 0rem;
  }
}

@media screen and (min-width: 576px) {
  table {
    border-collapse: separate;
    border-spacing: 0.5rem;
    margin: 1rem 0;
  }
  .wrap,
  .wrap2 {
    width: 100%;
    white-space: pre-wrap;
    /* CSS3 */
    white-space: -moz-pre-wrap;
    /* Firefox */
    white-space: -pre-wrap;
    /* Opera <7 */
    white-space: -o-pre-wrap;
    /* Opera 7 */
    word-wrap: break-word;
    /* IE */
  }
  .wrap {
    height: auto;
  }
  .wrap2 {
    border: 1px solid blue;
    height: 100px;
    overflow: auto;
    width: 100px;
  }
  .form-consultar {
    margin-left: auto;
    margin-right: auto;
    width: 80%;
    margin-bottom: 20px;
  }
  .info-ine {
    width: 100%;
  }
  .strong-INE {
    font: 1.2rem;
    color: var(--colorGris);
    font-family: "Lucida Grande Regular";
    display: inline-block;
    margin-bottom: 0.5rem;
  }
  /* .btn-warning {
      background-color: #f4792a;
      border-color: #f4792a;
    } */
  .btnVerPDF,
  .btnDescargar,
  .btn-editar,
  .btn-generar {
    font-size: 10px;
    font-family: "Avenir Roman";
  }
  .emitido-a {
    display: none;
  }
  .crearFactura__formulario {
    margin: 0rem 5rem;
  }
  .no-ticket__container {
    display: block;
  }
  .pregunta-frecuentes {
    font-size: 1.6rem;
  }
  .crearFactura__contornoFormulario input {
    padding: 0.75rem 1rem;
  }
  .numero-ticket {
    display: none;
  }
  .no-ticket {
    display: block;
  }
  .enviarFactura__input {
    padding: 1rem 2rem;
    min-width: 40rem;
  }
  .info-factura {
    padding: 0;
  }
  /* Modal de preguntas frecuentes */
  .modal-dialog {
    margin: 30px auto;
    width: 100vw;
  }
}

@media screen and (min-width: 768px) {
  h1 {
    font-size: 2.4rem;
  }
  h2 {
    font-size: 2.2rem;
    margin-bottom: 2rem;
  }
  p,
  a,
  input,
  label,
  select,
  span {
    text-decoration: none;
    font-size: 1.4rem;
    font-family: "Lucida Grande Regular";
  }
  label {
    font-size: 1.4rem;
  }
  input {
    font-size: 1.2rem;
    padding: 0.5rem 1.2rem;
    padding-right: 0rem;
  }
  th {
    font-size: 1.4rem;
  }
  .container-fluid {
    margin-left: 2rem;
    margin-right: 2rem;
  }
  .opcionesFactura {
    font-size: 1.4rem;
  }
  .frmFacturaCrear1 {
    display: block;
  }
  .container__botones {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 3rem;
  }
  .crearFactura__formulario {
    margin: 0rem 10rem;
  }
  .bullet {
    width: 20px;
    height: 20px;
  }
  .linea-verticalDerecha {
    margin: 0rem 2rem;
    border-right: 2px solid #f4792a;
  }
  .strong-INE {
    font: 1.4rem;
  }
  .no-ticket__container {
    display: none;
  }
  .opciones__form {
    display: block;
  }
  .opciones__caja {
    max-width: 100%;
    font-size: 1.8rem;
  }
  .columna-izquierda {
    padding: 4rem;
    margin: 0;
    margin-bottom: 4rem;
  }
  .columna-izquierdaIndex {
    padding: 4rem;
    margin: 0;
    margin-bottom: 4rem;
  }
  .confirmaInfo__container {
    padding: 0rem 1rem;
  }
  .confirmaInfo__container table tbody tr td {
    padding: 0rem;
    border-width: 0;
    font-size: 1.4rem;
    padding: 1rem 1.5rem;
    background-color: var(--colorGris);
  }
  .confirmaInfo__container table tbody tr td input {
    font-size: 1.4rem;
  }
  .divisorVertical {
    border-right: solid var(--colorPrincipal) 2px;
    padding-right: 2rem;
  }
}

@media screen and (min-width: 1200px) {
  input {
    font-size: 1.6rem;
  }
  p,
  a,
  input,
  label,
  select,
  span {
    font-size: 1.6rem;
  }
  .container-fluid-principal {
    margin-left: 10rem;
    margin-right: 10rem;
  }
  .container-fluid {
    margin-left: 5rem;
    margin-right: 5rem;
  }
  .columna-derecha {
    padding-left: 10rem;
    /* display: none; */
  }
  .opcionesFactura {
    font-size: 1.6rem;
  }
  /* PÃ¡gina de datos fiscales */
  .unaColumna__container {
    width: 70vw;
  }
  .linea-vertical {
    border-left: 2px solid #f4792a;
    height: 100%;
  }
  .columna-derecha__general {
    padding: 4rem;
  }
  .verificarDatos__table__th {
    padding: 0.5rem 0.5rem;
    font-size: 1.4rem;
  }
  .verificarDatos__table__td {
    font-size: 1.2rem;
  }
  .btnTerminar,
  .btnPDF {
    width: 200px;
  }
  .selectTamanioCompleto {
    padding: 0.5rem;
  }
  .pregunta-frecuentes {
    font-size: 1.8rem;
  }
  .crearFactura__contornoFormulario input {
    padding: 0.5rem 1rem;
  }
  .md-font-30 {
    font-size: 3rem;
    margin: 2rem 0;
  }
  .row {
    margin-right: -15px;
    margin-left: -15px;
    width: auto;
  }
}

@media screen and (min-width: 1400px) {
  select {
    /* border-radius: inherit; */
    /*border: .25px solid #f4792a;*/
    /*font-family: 'Droid Sans';*/
    /*font-size: 12px;*/
    /*height: 43px;*/
    /*padding-bottom: 0px;*/
    /*padding-top: 0px;*/
  }
}

*:focus {
  outline: none;
}

.bold {
  font-family: "Lucida Grande Regular Bold";
}

.loading {
  text-align: center;
  color: #ffffff;
  width: 100%;
  font-size: 13px;
  color: #ffffff;
  font-family: "Lucida Grande Bold", sans-serif;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}

.loading > strong {
  color: #f4792a;
  font-weight: normal;
}

.info-factura > p > strong {
  color: #fffefefb;
}

#info-facturado {
  color: #ffffff48;
}

.fname {
  border-color: #f4792a;
  border-color: #f4792a;
}

.alert-danger {
  display: none;
  width: 100%;
  font-family: "Lucida Grande Regular";
  font-size: 13px;
}

.alert-success {
  width: 100%;
  font-family: "Lucida Grande Regular";
  font-size: 13px;
}

/* ----------------------------------------------------------------------------------------------------
                                      Estilos para pantalla primeros datos (Consultar)
  ------------------------------------------------------------------------------------------------------*/

#frmFacturaConsultar3 {
  margin: 0;
}

#frmDescarga {
  visibility: hidden;
}

/*-----------------------------------------------------------------------------------------------------------
                                              Pantalla crear factura primeros datos
  -----------------------------------------------------------------------------------------------------------*/

.pdf {
  background-image: url("../images/shake-shack-icono-pdf-gris.svg");
  padding-left: 12px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.pdf:hover {
  background-image: url("../images/pdf_hover.png");
  background-size: contain;
}

.xml {
  background-image: url("../images/shake-shack-icono-xml-gris.svg");
  padding-left: 18px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.xml:hover {
  background-image: url("../images/xml_hover.png");
  background-size: contain;
}

.email {
  background-image: url("../images/enviar_email.png");
  padding-left: 15px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.email:hover {
  background-image: url("../images/mail_hover.png");
  background-size: contain;
}

.label-expandir {
  letter-spacing: -0.3px;
  background-image: url("../../images/expandir.png");
  height: 23px;
  width: 12px;
  background-size: auto;
  background-repeat: no-repeat;
  background-position: left;
  margin-left: 2px;
  margin-right: 1px;
  padding-left: 10px;
}

.label-expandir:hover {
  color: var(--colorBlanco);
}

.expandir {
  background-image: url("../../images/expandir.png");
  height: 23px;
  background-size: auto;
  background-repeat: no-repeat;
  background-position: left;
  margin-left: 2px;
  margin-right: 1px;
  padding-left: 10px;
}

.expandir:hover {
  color: var(--colorPrincipal);
}

.colapsar {
  background-image: url("../../images/Colapsar.png");
  height: 23px;
  background-size: auto;
  background-repeat: no-repeat;
  background-position: left;
  margin-left: 2px;
  margin-right: 1px;
  padding-left: 10px;
  padding-left: 13px;
}

.colapsar:hover {
  color: var(--colorPrincipal);
}

/*--------------------------------------------------------------------------------------------------------
                                            Estilos pantalla Datos facturacion INE
  ---------------------------------------------------------------------------------------------------------*/

.txt-ine {
  margin-top: 30px;
  margin-bottom: 20px;
  padding-bottom: 20px;
  border-bottom: solid rgba(4, 15, 9, 0.16);
  width: 100%;
  border-bottom: 0.25px solid #f4792a;
}

.info-ine {
  width: 100%;
  color: #4c4c4c;
}

embed {
  max-height: 300px;
}

/* Estilos que se repetiran a lo largo de las diferentes pÃ¡ginas */

.colorPrincipal {
  color: var(--colorPrincipal);
}

.colorBlanco {
  color: var(--colorBlanco);
}

.colorNegro {
  color: var(--colorNegro);
}

.colorGris {
  color: var(--colorGris);
}

.colorRojo {
  color: var(--colorRojo);
}

.letra-naranja {
  color: #e67a1f;
}

.font-30 {
  font-size: 3rem;
  margin: 2rem 0;
}

.font-20-s {
  font-size: 2rem;
  margin: 1.5rem 1rem;
}

.font-18 {
  font-size: 1.8rem;
  margin: 1rem 0;
}

.font-16 {
  font-size: 1.6rem;
  margin: 1rem 0;
}

.font-14 {
  font-size: 1.4rem;
  margin: 1rem 0;
}

.font-12 {
  font-size: 1.2rem;
  margin: 0.8rem 0;
}

.font-10 {
  font-size: 1rem;
  margin: 1rem 0;
}

.fontSize-9 {
  font-size: 0.9rem;
  margin: 0.8rem 0;
}

.fontSize-8 {
  font-size: 0.8rem;
  margin: 0.8rem 0;
}

.campoRequerido {
  font-weight: bold;
  color: #f4792a;
}

.btn-fondoOscuro {
  background-color: var(--colorNegro);
  color: var(--colorBlanco);
  /* border-style: none; */
  padding: 1rem 2.5rem;
}

.btn-fondoOscuro a:hover {
  color: var(--colorBlanco);
  font-weight: bold;
}

.btn-fondoClaro {
  /* border: 1px solid var(--colorPrincipal); */
  background-color: var(--colorPrincipal);
  color: var(--colorNegro);
  padding: 1rem 2.5rem;
  /* border-style: none; */
}

.btn-fondoClaro:hover {
  color: var(--colorBlanco);
}

.btn-fondoClaro a {
  color: var(--colorNegro);
}

.btn-fondoClaro a:hover {
  color: var(--colorBlanco);
  font-weight: bold;
}

.marginAuto {
  margin: auto;
}

.noMarginAuto {
  margin: 0;
}

.sinBackgroundColor {
  background-color: transparent;
}

.divisor-dosOpciones {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding-right: 1rem;
  margin-bottom: 1rem;
}

.bg-gris {
  background-color: var(--colorGris);
}

.bg-principal {
  background-color: var(--colorPrincipal);
}

.bg-principalClaro {
  background-color: var(--colorPrincipalClaro);
}

.alturaCompleta {
  height: auto;
}

.no-ticket {
  display: none;
}

.help-block,
.form-control-feedback {
  display: block;
}

.fondoModal {
  width: 100%;
  height: 100%;
  background-color: var(--colorNegro-80);
  position: absolute;
  left: 0;
  top: 0;
}

.containerModalFinal {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  align-content: center;
  align-items: center;
  border: 0.2rem solid var(--colorPrincipal);
  max-width: 50rem;
  max-height: 30rem;
}

.lineaHorizontal {
  width: 80%;
  border: 0.2rem var(--colorPrincipal) solid;
  margin-bottom: 2rem;
}

.textoFinal {
  margin-bottom: 2rem;
}

pre {
  white-space: pre-wrap;
  /* Since CSS 2.1 */
  white-space: -moz-pre-wrap;
  /* Mozilla, since 1999 */
  white-space: -pre-wrap;
  /* Opera 4-6 */
  white-space: -o-pre-wrap;
  /* Opera 7 */
  word-wrap: break-word;
  /* Internet Explorer 5.5+ */
  overflow-x: auto;
}

.sinBordes {
  border: 0rem;
}

.conBordes {
  border: 2px solid var(--colorPrincipal);
}
